Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jboss.seam.annotations
Enum TransactionPropagationType

    java.lang.Object
      java.lang.Enum<TransactionPropagationType>
          org.jboss.seam.annotations.TransactionPropagationType

All Implemented Interfaces:
  Serializable, Comparable<TransactionPropagationType>

    public enum TransactionPropagationType

extends Enum<TransactionPropagationType>

Transaction propagation strategies for Seam JavaBean components. Note that unlike EJB3 components, there are no strategies for suspending transactions.

Author:
  Gavin King

Enum Constant Summary
`MANDATORY`
`NEVER`
`REQUIRED`
`SUPPORTS`

Method Summary
`boolean` | `isNewTransactionRequired(boolean transactionActive)`
`static TransactionPropagationType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TransactionPropagationType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### REQUIRED

    public static final TransactionPropagationType REQUIRED

### MANDATORY

    public static final TransactionPropagationType MANDATORY

### SUPPORTS

    public static final TransactionPropagationType SUPPORTS

### NEVER

    public static final TransactionPropagationType NEVER

Method Detail

### values

    public static final TransactionPropagationType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(TransactionPropagationType c : TransactionPropagationType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static TransactionPropagationType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

### isNewTransactionRequired

    public boolean isNewTransactionRequired(boolean transactionActive)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD